commit:     25a5f70ca6e36c3c8525e06460d50ee4086b254d
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 29 00:11:58 2016 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Fri Jan 29 00:11:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25a5f70c

net-misc/stunnel: version bump to 5.30

Package-Manager: portage-2.2.26

 net-misc/stunnel/Manifest            |  1 +
 net-misc/stunnel/stunnel-5.30.ebuild | 90 ++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/net-misc/stunnel/Manifest b/net-misc/stunnel/Manifest
index 668228b..7c7a719 100644
--- a/net-misc/stunnel/Manifest
+++ b/net-misc/stunnel/Manifest
@@ -2,3 +2,4 @@ DIST stunnel-5.24.tar.gz 631730 SHA256 
ab2e5a1034d422951ddad21b572eb7fa8efb4c4ce
 DIST stunnel-5.27.tar.gz 636704 SHA256 
7474e986710e88a5cc3330b6b1762f9449f01eccf826fa0f97e56d064c05ead3 SHA512 
9dc57f6d2bfb8156de3a1cd3d52e0050498503bddcc02a810ebf798c66e6527bc79dd6b02e3eaf5333131772b9cf0f6d044ee4be3564719d496b07fbeeaeeefa
 WHIRLPOOL 
907ff7f9bda3ac83efeceb66c9d8f2ea83a50be81f1b883f2d7843cb5e984aaff1f16867c909a00bcbba52e41357a375ed21d17500c2aae6294106c5a551d939
 DIST stunnel-5.28.tar.gz 637471 SHA256 
9a25b87b1ef0c08fa3d796edce07b4408e6a8acece23de2eb7ee9285b78852b5 SHA512 
a01b02afbc05aa7256f245b9142fb17990cd2026274da9358a52778dd0272379aec39e5794c0992e11e3f7584b69fee903742bba9e072bb32928d65bd3abe40a
 WHIRLPOOL 
694510174bd0109fa2de5f036f8c928820192b10a1e1fa223d44db2c619ebe1187027874391423da04a81e8f694dacb48cfdaa0315abf643eadf87e75ed167e2
 DIST stunnel-5.29.tar.gz 637806 SHA256 
43909625403ea634fa7cb8399d58faf8e7f11c1b7b29097491469951f56df551 SHA512 
1a7017921e29416dfb934d258c89b9b47db9922e6af1a29bd53895cb153d7de3908fd4cfd6e65e6aa8992cb26670dbfeab366c0f7ce0317d9045a67d1e30a934
 WHIRLPOOL 
c15e09aa9777f6150f9cf3663c8e1dc32e3556295a63945aa7b4186e2c7a52e0d766f010afce548798aba2d7a2165b6af46613457e0b7339da8f438cb4694085
+DIST stunnel-5.30.tar.gz 638771 SHA256 
7d6eb389f6a1954b3bcf6c71d4ae3c5f9dde1990dd0b9e0cb1c7caf138d60570 SHA512 
66bb610241e70881f8b14bfaec712a48361ec43a631db8b38ea0c94547fa184896e2d1fbbce52eb13c65411aa1ca10b3e9e42bde1651b38a5d551504b3b38f3c
 WHIRLPOOL 
6b375be08c52088de065028d4d2e4d99301dbeb3a6771bbfe19f715d1dd9f7ccf893b87b973dbb19bfc5decf7f6e487322d857e04fdccdd535140ebecef358f8

diff --git a/net-misc/stunnel/stunnel-5.30.ebuild 
b/net-misc/stunnel/stunnel-5.30.ebuild
new file mode 100644
index 0000000..4eac53e
--- /dev/null
+++ b/net-misc/stunnel/stunnel-5.30.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit ssl-cert eutils multilib systemd user
+
+DESCRIPTION="TLS/SSL - Port Wrapper"
+HOMEPAGE="http://www.stunnel.org/index.html";
+SRC_URI="ftp://ftp.stunnel.org/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+       http://www.usenix.org.uk/mirrors/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+       
http://ftp.nluug.nl/pub/networking/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+       http://www.namesdir.com/mirrors/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+       http://stunnel.cybermirror.org/archive/${PV%%.*}.x/${P}.tar.gz
+       http://mirrors.zerg.biz/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+       ftp://mirrors.go-parts.com/stunnel/archive/${PV%%.*}.x/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="ipv6 libressl selinux stunnel3 tcpd"
+
+DEPEND="tcpd? ( sys-apps/tcp-wrappers )
+       !libressl? ( dev-libs/openssl:0 )
+       libressl? ( dev-libs/libressl )"
+RDEPEND="${DEPEND}
+       stunnel3? ( dev-lang/perl )
+       selinux? ( sec-policy/selinux-stunnel )"
+
+RESTRICT="test"
+
+pkg_setup() {
+       enewgroup stunnel
+       enewuser stunnel -1 -1 -1 stunnel
+}
+
+src_prepare() {
+       # Hack away generation of certificate
+       sed -i -e "s/^install-data-local:/do-not-run-this:/" \
+               tools/Makefile.in || die "sed failed"
+
+       echo "CONFIG_PROTECT=\"/etc/stunnel/stunnel.conf\"" > "${T}"/20stunnel
+}
+
+src_configure() {
+       econf \
+               --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               $(use_enable ipv6) \
+               $(use_enable tcpd libwrap) \
+               --with-ssl="${EPREFIX}"/usr \
+               --disable-fips
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       rm -rf "${ED}"/usr/share/doc/${PN}
+       rm -f "${ED}"/etc/stunnel/stunnel.conf-sample \
+               "${ED}"/usr/share/man/man8/stunnel.{fr,pl}.8
+       use stunnel3 || rm -f "${ED}"/usr/bin/stunnel3
+
+       # The binary was moved to /usr/bin with 4.21,
+       # symlink for backwards compatibility
+       dosym ../bin/stunnel /usr/sbin/stunnel
+
+       dodoc AUTHORS BUGS CREDITS PORTS README TODO ChangeLog
+       dohtml doc/stunnel.html doc/en/VNC_StunnelHOWTO.html tools/ca.html \
+               tools/importCA.html
+
+       insinto /etc/stunnel
+       doins "${FILESDIR}"/stunnel.conf
+       doinitd "${FILESDIR}"/stunnel
+
+       doenvd "${T}"/20stunnel
+
+       systemd_dounit "${S}/tools/stunnel.service"
+       systemd_newtmpfilesd "${FILESDIR}"/stunnel.tmpfiles.conf stunnel.conf
+}
+
+pkg_postinst() {
+       if [ ! -f "${EROOT}"/etc/stunnel/stunnel.key ]; then
+               install_cert /etc/stunnel/stunnel
+               chown stunnel:stunnel 
"${EROOT}"/etc/stunnel/stunnel.{crt,csr,key,pem}
+               chmod 0640 "${EROOT}"/etc/stunnel/stunnel.{crt,csr,key,pem}
+       fi
+
+       einfo "If you want to run multiple instances of stunnel, create a new 
config"
+       einfo "file ending with .conf in /etc/stunnel/. **Make sure** you 
change "
+       einfo "\'pid= \' with a unique filename."
+}

Reply via email to